<div class="card p-3">
    <div class="card border-round shadow-6 mb-3">
        <button pButton pRipple label="พิมพ์เอกสาร" icon="pi pi-print" printTitle="ใบประเมินการส่งต่อ"
            printSectionId="print-section"  (click)="print()"></button>
        <div id="print-section">
            <h4 align="center">ผลการประเมินผู้ป่วย</h4>
            <table width="100%">
                <tr>
                    <td width="33%">
                        <span for="city7" class="text-green-700 fontKanit">เลขที่ส่ง : </span>
                        <span for="city7" class="fontKanit">{{refer_no}}</span>
                    </td>
                    <td width="33%">
                        <span for="city7" class="text-green-700 fontKanit">เลที่ HIS : </span>
                        <span for="city7" class="fontKanit">{{refer_his_no}}</span><!-- เก็บค่าตัวแปรมาแสดง -->
                    </td>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">วันที่ : </span>
                        <span for="city7" class="fontKanit">{{refer_date | thaidate:'short'}}</span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">HN : </span>
                        <span for="city7" class="fontKanit">{{hn}}</span>
                    </td>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">ชื่อ : </span>
                        <span for="city7" class="fontKanit">{{fullname}}</span>
                    </td>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">อายุ : </span>
                        <span for="city7" class="fontKanit">{{age}}</span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">PID : </span>
                        <span for="city7" class="fontKanit">{{pid}}</span>
                    </td>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">AN : </span>
                        <span for="city7" class="fontKanit" *ngIf="an != '0'">{{an}}</span>
                    </td>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">เลขบัตรประชาชน : </span>
                        <span for="city7" class="fontKanit">{{cid}}</span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span for="city7" class="text-green-700 fontKanit">เพศ : </span>
                        <span for="city7" class="fontKanit">{{sex}}</span>
                    </td>
                    <td colspan="2">
                        <span for="city7" class="text-green-700 fontKanit">อาชีพ : </span>
                        <span for="city7" class="fontKanit">{{occupation}}</span>
                    </td>
                </tr>
            </table>
            <br>
            <div *ngFor="let rows of rowsData">
                <table width="100%" border="1" cellSpacing="0">
                    <tr>
                        <th style="vertical-align:center">การดูเลขณะนำส่ง</th>
                        <th align="center">NE<br>(ไม่จำเป็น)</th>
                        <th align="center">A<br>(เหมาะสม)</th>
                        <th align="center">IA<br>(ไม่เหมาะสม)</th>
                        <th align="center">หมายเหตุ<br>(ถ้าเลือกช่อง IA ให้ระบุปัญหาที่พบ)</th>
                    </tr>
                    <tr>
                        <td>ทางเดินหายใจ</td>
                        <td align="center">
                            <div *ngIf="rows.answer_1==1"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_1==2"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_1==3"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td>{{rows.answer_1_remark}}</td>
                    </tr>
                    <tr>
                        <td>การช่วยหายใจ</td>
                        <td align="center">
                            <div *ngIf="rows.answer_2==1"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_2==2"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_2==3"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td>{{rows.answer_2_remark}}</td>
                    </tr>
                    <tr>
                        <td>การห้ามเลือด</td>
                        <td align="center">
                            <div *ngIf="rows.answer_3==1"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_3==2"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_3==3"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td>{{rows.answer_3_remark}}</td>
                    </tr>
                    <tr>
                        <td>การให้สารน้ำ</td>
                        <td align="center">
                            <div *ngIf="rows.answer_4==1"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_4==2"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_4==3"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td>{{rows.answer_4_remark}}</td>
                    </tr>
                    <tr>
                        <td>การดาม</td>
                        <td align="center">
                            <div *ngIf="rows.answer_5==1"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_5==2"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td align="center">
                            <div *ngIf="rows.answer_5==3"><span
                                    style="font-size: large;font-weight: bolder;">&#10003;</span></div>
                        </td>
                        <td>{{rows.answer_4_remark}}</td>
                    </tr>
                    <tr>
                        <td colspan="4">ด้านอื่นๆ</td>
                        <td>{{rows.other_remark}}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>